/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file s08p_lite_board.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
*******************************************************************************/

#ifndef s08p_lite_board_H_
#define s08p_lite_board_H_

#include "mc9s08ql8.h"
#include "commonTypes.h"

/* define print system log */
#define PRINT_SYS_LOG

/* define output bus clock */
//#define OUTPUT_BUSCLK

/* define what clock mode at startup 
 * if USE_FEE is not defined by commenting out the following line, 
 * then it will use FEI mode which is default mode 
 * after reset  
 */
#define USE_FEE		/* FEE clock mode */	

/* define external crystal frequency */
#define EXT_CLK_CRYST	32768	//S08QL-LITE board includes 32.768MHz	external osc

/* define BUS clock in HZ */
#define  BUS_CLK_HZ		8388608L

/* define UART baud rate */
#define BR_9600

/* define SCI port # to be used */
#define USE_SCI		0

#define DAC5571_I2C_ADDRESS    0x4C   // SA0 = 0


#define LED0_Init()                 PTCDD_PTCDD0 = 1
#define LED0_Toggle()		    PTCD_PTCD0  ^= 1
#define LED0_On()		    PTCD_PTCD0   = 0
#define LED0_Off()		    PTCD_PTCD0   = 1

#define LED1_Init()                 PTCDD_PTCDD1 = 1
#define LED1_Toggle()	           PTCD_PTCD1  ^= 1
#define LED1_On()		           PTCD_PTCD1   = 0
#define LED1_Off()		           PTCD_PTCD1   = 1

#define LED2_Init()                 PTCDD_PTCDD2 = 1
#define LED2_Toggle()            PTCD_PTCD2  ^= 1
#define LED2_On()                   PTCD_PTCD2   = 0
#define LED2_Off()                  PTCD_PTCD2   = 1

#define LED3_Init()                 PTCDD_PTCDD3 = 1
#define LED3_Toggle()            PTCD_PTCD3  ^= 1
#define LED3_On()                  PTCD_PTCD3   = 0
#define LED3_Off()                  PTCD_PTCD3   = 1

#define LED4_Init()                 PTBDD_PTBDD4 = 1
#define LED4_Toggle()            PTBD_PTBD4  ^= 1
#define LED4_On()                  PTBD_PTBD4   = 0
#define LED4_Off()                  PTBD_PTBD4   = 1



//#define PTD0_Init()                 PORT_PTDOE_PTDOE0 = 1
//#define PTD0_Toggle()	           PORT_PTDD_PTDD0  ^= 1
//#define PTD0_Set()		    PORT_PTDD_PTDD0   = 1
//#define PTD0_Clear()               PORT_PTDD_PTDD0   = 0


//#define LED_ELECTROD_PTG0_Init()	    PORT_PTGOE_PTGOE0 = 1
//#define LED_ELECTROD_PTG0_Toggle()		PORT_PTGD_PTGD0  ^= 1
//#define LED_ELECTROD_PTG0_On()		    PORT_PTGD_PTGD0   = 0
//#define LED_ELECTROD_PTG0_Off()		    PORT_PTGD_PTGD0   = 1

void DelayMS(uint16_t timeMS);

extern void Sys_Init(void);
extern void Button_Init(void);
extern void configure_LEDs_for_GPIO(void);
extern void configure_LEDs_for_PWM (void);
extern void leds_all_on (void);
extern void leds_all_off (void);
extern void leds_cross(void);
extern void leds_plus(void);
 extern void LED_Init(void);                 //init LED
extern void LED_Test(void);
extern void Buzzer_Init(void);              //init Buzzer
extern void Buzzer_On(void);
extern void Buzzer_Off(void);
extern void Buzzer_Test(void);
extern void Buzzer_Beep(void);
extern void Button_Init(void);            //  init  KBI
extern void Button_Test(void);
extern void DbgConsole_Init(void);                 // init Serial Communications Interface (SCI)
extern void DAC5571_Init(void);        // init DAC5571
extern void DAC5571WriteData(unsigned char u8Data);
extern void DAC5571_Test(void);
extern void Irda_Init(void);                   // init Irda transceiver
extern void FlashW25Q32_Init(void);         // init the external flash IC
extern void FlashW25Q32_Test(void);
extern void Touchpad_Init(void);            //init touch pad
extern void AnalogInput_Init(void);            //init potentiometer, thermistor
extern void AnalogCompare_Init(void);         // init CMP
extern void Potentiometer1_Test(void);   
#endif /* s08p_lite_board_H_ */
