/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file ftm.c
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring Timer/Pulse-Width Modulator (TPM).
*
*******************************************************************************/
#include "common.h"
#include "tpm.h"

/*****************************************************************************//*!
   +FUNCTION----------------------------------------------------------------
   * @function name: FTPM_Init
   *
   * @brief initialize TPMCH0, EPWM output mode, select clock frequency is 32.768Khz
   *        
   * @param  none 
   *
   * @return none
   *
   * @ Pass/ Fail criteria: none
   *****************************************************************************/


 // Init TPMCH0 to TPM output to driver the Buzzer, 
void TPM_Init( void )
{
    //TPM frequency = CLKS/PS/MOD = 32.768KHz/2/11=1.489KHz
	SOPT2 |= SOPT2_TPMCH0PS_MASK;	
	SCGC1 |= SCGC1_TPM_MASK;
	TPMMOD = 10;                   //
    TPMC0SC = 0x28;                //edge aligned TPM
    TPMC0V = 5;                    //50% duty
    TPMSC = 0x00;                  // clock source = 0, disabled the TPM
}


void TPM_Start( void )
{
    TPMSC = 0x10; // clock source = 10, Fixed Frequency Clock (ICSFFCLK) divided by 2 (default), start the TPM counter
}

void TPM_Stop( void )
{
    TPMSC = 0x00; //clock source = 00, stop the TPM counter
}

