/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file acmp.c
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring analog comparator (ACMP). 
*
*******************************************************************************
*
* provide ACMP drivers
******************************************************************************/
#include "common.h"
#include "printf.h"
#include "acmp.h"
/*****************************************************************************//*!
   +FUNCTION----------------------------------------------------------------
   * @function name: ACMP_Init
   *
   * @brief initialize ACMP
   *        
   * @param  none 
   *
   * @return none
   *
   * @ Pass/ Fail criteria: none
   *****************************************************************************/
void ACMP_Init ( void )
{
	SCGC2 |= SCGC2_ACMP_MASK;
    
    //for test purpose, output the ACO to check the ACMP result                      
	ACMPSC_ACOPE = 1;      //out on ACMPO
	ACMPSC_ACBGS = 1;      // Internal bandgap reference selected as comparator non-inverting input.
   // ACMPSC_ACMOD = 0x3;   //ACMP interrupt on output rising edge
   // ACMPSC_ACIE = 1;     //enable ACMP interrupt 
    ACMPSC_ACME = 1;       // enable ACMP
     
}

void ACMP_Stop ( void )
{
	ACMPSC_ACME = 0;  
}

#if 0
void Potentiometer1_Test(void)
{
  // Initialize ACMP,Potentiometer R38 as ACMP- input, Internal bandgap reference as ACMP+ input    
	ACMP_Init();   
	printf("Potentiometer1 test: turn Potentiometer R38 on board now\n");
    printf("Potentiometer1 test: pass test until the Potentiometer is turned to small value\n");	
    while(1)
    {
        if (ACMPSC_ACO)
    	{
        	LED4_On();
    	    DelayMS(100);
    	    LED4_Off();
    	    
        	printf("Potentiometer1 test: PASSED\n");
    		printf("\n");     		
    	    ACMP_Stop();    		
    		return;
    	}
    }

}    

void Potentiometer2_Test(void)
{
  //Potentiometer R38 as ACMP- input, Potentiometer R39 as ACMP+ input    
	ACMPSC_ACBGS = 0;      // External pin ACMP+ selected as comparator non-inverting input.
	ACMPSC_ACME = 1;   	   // Enable ACMP module 
	
	printf("Potentiometer2 test: turn Potentiometer R39 on board now\n");
    printf("Potentiometer2 test: pass test until the Potentiometer is turned to larger value\n");	
    while(1)
    {
        if (ACMPSC_ACO)
    	{
        	LED4_On();
    	    DelayMS(100);
    	    LED4_Off(); 
    	    
        	printf("Potentiometer2 test: PASSED\n");
    		printf("\n");    
    	    ACMP_Stop();           // Disable ACMP module    		
    		return;
    	}
    }
}    

#endif
