/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file mtim.c
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring modulo timer (MTIM). 
*
******************************************************************************/
#include "common.h"
#include "mtim.h"

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Constants and macros
******************************************************************************/

/******************************************************************************
* Local types
******************************************************************************/

/******************************************************************************
* Local function prototypes
******************************************************************************/

/******************************************************************************
* Local variables
******************************************************************************/

/******************************************************************************
* Local functions
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

/*****************************************************************************//*!
   +FUNCTION----------------------------------------------------------------
   * @function name: MTIM_Init
   *
   * @brief initialize MTIM
   *        
   * @param  none 
   *
   * @return none
   *
   * @ Pass/ Fail criteria: none
   *****************************************************************************/
void MTIM_Init(void)
{
    //MTIM overflow interval: CLKS/PS/MOD = 32.768K/2/16=1.042KHz=~1ms
    MTIMCLK_CLKS = 0x01;           // clock source: ICSFFCLK 32.768KHz/2
    MTIMCLK_PS     = 0x0;            // prescale: no prescale
    MTIMMOD	  = 15;               //modulo value: 15
    MTIMSC_TRST   = 1;		   // RST count
    MTIMSC_TOIE   = 1;               // enable TOF interrupt
    MTIMSC_TSTP   = 1;               // stop count
}

void MTIM_Start(void)
{
    MTIMSC_TSTP   = 0;      // start count
}

void MTIM_Stop(void)
{
    MTIMSC_TSTP   = 1;      // stop count
}


